Is this ( just installing a new shop, hence the question) safe to use under the new 1.5.7c?